## org.h2.log
Class SessionState

    java.lang.Object
      org.h2.log.SessionState

    public class SessionState

extends java.lang.Object

The session state contains information about when was the last commit of a session. It is only used during recovery.

Field Summary
`InDoubtTransaction` `inDoubtTransaction` The in-doubt transaction if there is one.
`int` `lastCommitLog` The last log file id where a commit for this session is found.
`int` `lastCommitPos` The position where a commit for this session is found.
`int` `sessionId` The session id

Constructor Summary
`SessionState()`

Method Summary
`boolean` `isCommitted(int logId, int pos)` Check if this session state is already committed at this point.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sessionId

    public int sessionId

  The session id

### lastCommitLog

    public int lastCommitLog

  The last log file id where a commit for this session is found.

### lastCommitPos

    public int lastCommitPos

  The position where a commit for this session is found.

### inDoubtTransaction

    public InDoubtTransaction inDoubtTransaction

  The in-doubt transaction if there is one.

Constructor Detail

### SessionState

    public SessionState()

Method Detail

### isCommitted

    public boolean isCommitted(int logId,
                               int pos)

  Check if this session state is already committed at this point.

  Parameters:
    `logId` - the log file id
    `pos` - the position in the log file
  Returns:
    true if it is committed

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`